Name:		minitube
Version:	1.9
Release:	%mkrel 1
Summary:	A native YouTube client
Group:		Video
License:	GPLv2+
URL:		http://flavio.tordini.org/minitube
Source:		http://flavio.tordini.org/files/minitube/%{name}-%{version}.tar.gz
Patch0:		minitube-1.8-mga-missing-include.patch
BuildRequires:	qt4-devel
BuildRequires:	phonon-devel
Requires:	phonon-backend
Requires:	gstreamer0.10-ffmpeg
Suggests:	gstreamer0.10-faad

%description
Minitube is a native YouTube client. With it you can watch YouTube videos in
a new way: you type a keyword, Minitube gives you an endless video stream.
Minitube does not require the Flash Player.

Minitube is not about cloning the original Youtube web interface, it strives
to create a new TV-like experience.

If you have problems with video playback, try to switch to vlc Phonon backend
in KDE4 settings.

If you use GStreamer Phonon backend, it's recommended to install package
gstreamer0.10-faad from PLF or Restricted (ex-PLF) repository.


%prep
%setup -q -n minitube
%patch0 -p1 -b .include~

%build
%qmake_qt4 PREFIX=%{_prefix}
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std INSTALL_ROOT=%{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%doc TODO CHANGES AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}



%changelog
* Fri Sep 28 2012 Johnny A. Solbu <solbu@mandriva.org> 1.9-1mdv2012.0
+ Revision: 817843
- Add missing include patch from Mageia
- New version

* Sun Jul 01 2012 Johnny A. Solbu <solbu@mandriva.org> 1.8-1
+ Revision: 807650
- New version
- Spec cleanup
- Fix mixed-use-of-spaces-and-tabs

* Thu May 31 2012 Andrey Bondrov <abondrov@mandriva.org> 1.7.1-1
+ Revision: 801498
- New version 1.7.1

* Fri Jan 13 2012 Zombie Ryushu <ryushu@mandriva.org> 1.7-1
+ Revision: 760740
- Upgrade to 1.7

* Thu Dec 08 2011 Andrey Bondrov <abondrov@mandriva.org> 1.6-1
+ Revision: 738891
- New version 1.6, update description, add Suggests

* Wed Aug 10 2011 Jani Välimaa <wally@mandriva.org> 1.5-1
+ Revision: 693858
- new version 1.5

* Sat May 21 2011 Jani Välimaa <wally@mandriva.org> 1.4.3-1
+ Revision: 676842
- new version 1.4.3

* Sat Apr 23 2011 Jani Välimaa <wally@mandriva.org> 1.4.2-2
+ Revision: 658146
- require phonon-backend

* Fri Apr 22 2011 Jani Välimaa <wally@mandriva.org> 1.4.2-1
+ Revision: 656719
- new version 1.4.2
- add some doc files
- clean .spec

* Thu Jan 06 2011 Jani Välimaa <wally@mandriva.org> 1.3-1mdv2011.0
+ Revision: 629074
- new version 1.3

* Sun Oct 17 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.2-1mdv2011.0
+ Revision: 586300
- new version 1.2

* Sat Aug 28 2010 Jani Välimaa <wally@mandriva.org> 1.1-1mdv2011.0
+ Revision: 573766
- new version 1.1
- use qmake_qt4 macro
- make description lines shorter (max 79 chars)
- fix file list

  + Sandro Cazzaniga <kharec@mandriva.org>
    - fix licence
    - clean $RPM_BUILD_ROOT at beginning of %%install

* Sun Jan 31 2010 Anne Nicolas <ennael@mandriva.org> 0.9-1mdv2010.1
+ Revision: 498727
- Fix group
- First release for Mandriva
- import minitube


